Plesk curl can't resolve acme v1 api


#1

Getting the following error when I attempt to add Lets Encrypt to a domain on my server via Plesk interface. It has previously been working flawlessly until today when I tried to do another domain name.
Error: Could not issue a Let’s Encrypt SSL/TLS certificate for afps-co.com.
Details
Could not obtain directory: cURL error 6: Could not resolve host: acme-v01.api.letsencrypt.org; Name or service not known (see http://curl.haxx.se/libcurl/c/libcurl-errors.html)


#2

Hi,

Can you try to check your server dns resolver?

or login to command line and execute curl acme-v01.api.letsencrypt.org?

Thank you


#3

when we execute the curl statement we get

Error An error occurred while processing your request.

Reference #97.640fd717.1524520503.b7ee3a


#4

also from a browser we get this:
An error occurred while processing your request.
Reference #97.a0ad817.1524520642.10179814


#5

getting same error from other servers as well


#6

I would rather suggest curl https://acme-v01.api.letsencrypt.org/ (it makes a difference in what curl tries to do!).


#7

That works. However, in Plesk the function is calling the non https:// link. Any way to change that?


#8

Sorry, which function and how do you see that?


#9

We had Lets Encrypt installed on our server. In our Plesk interface we can select any domain in our account and click on the app for lets encrypt and the process is automatic. However it seems like today it won’t work and I have no idea how to change the link within the script is acme-v01.api.letsencrypt.org. So I am trying to figure out where on the server and how to make the change to add the https://


#10

Are you sure it’s using HTTP? The error message in your first post doesn’t say whether it’s using HTTP or HTTPS.

I don’t think the plugin would have ever worked if it tried to use HTTP, and I hope the plugin wouldn’t have a bug that serious.


#11

The error states “Could not obtain directory: cURL error 6: Could not resolve host: acme-v01.api.letsencrypt.org; Name or service not known (see http://curl.haxx.se/libcurl/c/libcurl-errors.html)”


#12

Steven,

    We can run this command:

    curl and get the expected response.

When we run this command:
curl acme-v01.api.letsencrypt.org
We get the same error the program returns:

Error An error occurred while processing your request.

Reference #97.c9fd4317.1524606239.100822b This just started suddenly yesterday, after working on our server fine for the last month. Any suggestions?


#13

Hi,

I’m not really sure what’s the issue…
Is the LE program an Plesk Extension?
https://ext.plesk.com/packages/f6847e61-33a7-4104-8dc9-d26a0183a8dd-letsencrypt

Also, did it updated to latest version?

Thank you


#14

I’m going to change the title to “Plesk curl can’t resolve acme v1 api” for more referrence.


#15

How about curl -v https://acme-v01.api.letsencrypt.org/?


#16

same problem here. Only main domain gets the same error. Other sub-domains are ok with Let’s encrypt.


#17

@ai_krhs, can you run the curl command on the command line?


#18

I had the same issue, server reboot had solved the issue.


#19

Same here, I had exactly the same problem on Plesk 17.5.3#46 / CentOS 7.5.1804 (Core) ‬and a server reboot solved the issue. It could be related with the recent CentOs updates. I will open a ticket on Plesk support forum to see if at least there is a chance to solve this restarting a service instead of performing a server reboot.


#20

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.